- Main Page
- Modules
- Classes

# Ipe Geometry

Geometric primitives for Ipe. More...

## Classes

- class IpeAngle
    A double that's an angle. More...
- class IpeVector
    Two-dimensional vector. More...
- class IpeRect
    Axis-parallel rectangle (which can be empty). More...
- class IpeLine
    A directed line. More...
- class IpeSegment
    A directed line segment. More...
- class IpeLinear
    Linear transformation in the plane (2x2 matrix). More...
- class IpeMatrix
    Homogeneous transformation in the plane. More...
- class IpeBezier
    A cubic Bezier spline. More...
- class IpeArc
    An arc of an ellipse. More...

## Defines

- #define IpePi 3.1415926535897932385
- #define IpeTwoPi 6.2831853071795862
- #define IpeHalfPi 1.5707963267948966

## Typedefs

- typedef double IpeScalar

## Functions

- template<class T> T IpeMax (const T &lhs, const T &rhs)
- template<class T> T IpeMin (const T &lhs, const T &rhs)
- double IpeAbs (double val)

## Detailed Description

Geometric primitives for Ipe.

The IpeGeo module provides a few classes for constant-size geometric primitives, such as vector, axis-aligned rectangles, lines, rays, line segments, etc.

## Define Documentation

double IpePi 3.1415926535897932385

The constant pi.

double IpeTwoPi 6.2831853071795862

The constant 2 * pi.

double IpeHalfPi 1.5707963267948966

The constant pi / 2.

## Typedef Documentation

typedef double IpeScalar

Type of coordinates in IpeVectors.

## Function Documentation

template<class T>

T IpeMax | ( | const T & | lhs,
|  | const T & | rhs |
| ) |  |  | `[inline]`

Maximum of two values.

template<class T>

T IpeMin | ( | const T & | lhs,
|  | const T & | rhs |
| ) |  |  | `[inline]`

Minimum of two values.

double IpeAbs | ( | double | val | ) | `[inline]`

Absolute value.